
- COMPILATION OF SHARED LIBARIES

The shared libraries must be compiled with

 gcc -fPIC -shared -o chooks.so chooks.c

where -fPIC means 'position independent code': it must be so because the code must not rely
on a variable being stored in a particular position.
